Bug 7209 - Installation of 32-bit libdconf1 on x86_64 fails due to missing gio-querymodules-32
: Installation of 32-bit libdconf1 on x86_64 fails due to missing gio-querymodu...
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-13 22:54 MSD by Eugene Shatokhin
Modified: 2016-09-13 11:59 MSD (History)
4 users (show)

See Also:
RPM Package: libdconf1
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2016-07-13 22:54:07 MSD
-----------------------
# urpmi libdconf1

устанавливается libdconf1-0.24.0-2-rosa2014.1.i586.rpm из /var/cache/urpmi/rpms
Подготовка...                    #######################################################################################################################################
      1/1: libdconf1             #######################################################################################################################################
/var/tmp/rpm-tmp.87196: строка 1: /usr/bin/gio-querymodules-32: Нет такого файла или каталога
ERROR: 'script' failed for libdconf1-0.24.0-2-rosa2014.1.i586: 
error: %post(libdconf1-0.24.0-2.i586) scriptlet failed, exit status 127
-----------------------

I suppose, it should be enough to add gio2.0-32 to Requires(post,preun) of the 32-bit package. Same for gio2.0-64 and the 64-bit package.
Comment 1 Denis Silakov 2016-08-26 15:45:15 MSD
Advisory:
Fix post-scripts of dconf libraries

Build lists:
https://abf.io/build_lists/2709587
https://abf.io/build_lists/2709588
Comment 2 Vladimir Potapov 2016-09-08 16:55:16 MSD
The update is sent to expanded testing
***************************************
Comment 3 Vladimir Potapov 2016-09-12 18:34:57 MSD
dconf-0.24.0-3
https://abf.io/build_lists/2709587
https://abf.io/build_lists/2709588
**************************** Advisory ************************
Fix post-scripts of dconf libraries
**************************************************************
QA Verified